#ifndef _EHFONT_H
#define _EHFONT_H

#define EHDFONT_WIDTH	6
#define EHDFONT_HEIGHT	10

#define FDw	EHDFONT_WIDTH
#define FDh	EHDFONT_HEIGHT

#define FDx1(n)	(EMPEG_XMAX - ((n) * FDw) - ((n) - 1))
#define FDx2(n)	(EMPEG_XMAX - (((n) - 1) * FDw) - (n))
#define FDy1(n)	2

int digit(int, int, int);

int digifontmap[][EHDFONT_HEIGHT][EHDFONT_WIDTH] = {
    { /* 0 */
        { 0, 0, 1, 1, 0, 0 },
        { 0, 1, 1, 1, 1, 0 },
        { 1, 1, 0, 0, 1, 1 },
        { 1, 1, 0, 0, 1, 1 },
        { 1, 1, 0, 0, 1, 1 },
        { 1, 1, 0, 0, 1, 1 },
        { 1, 1, 0, 0, 1, 1 },
        { 1, 1, 0, 0, 1, 1 },
        { 0, 1, 1, 1, 1, 0 },
        { 0, 0, 1, 1, 0, 0 },
    },
    { /* 1 */
        { 0, 0, 1, 1, 0, 0 },
        { 0, 1, 1, 1, 0, 0 },
        { 0, 0, 1, 1, 0, 0 },
        { 0, 0, 1, 1, 0, 0 },
        { 0, 0, 1, 1, 0, 0 },
        { 0, 0, 1, 1, 0, 0 },
        { 0, 0, 1, 1, 0, 0 },
        { 0, 0, 1, 1, 0, 0 },
        { 0, 1, 1, 1, 1, 0 },
        { 0, 1, 1, 1, 1, 0 },
    },
    { /* 2 */
        { 0, 0, 1, 1, 0, 0 },
        { 0, 1, 1, 1, 1, 0 },
        { 1, 1, 0, 0, 1, 1 },
        { 0, 0, 0, 0, 1, 1 },
        { 0, 0, 0, 0, 1, 1 },
        { 0, 0, 0, 1, 1, 0 },
        { 0, 0, 1, 1, 0, 0 },
        { 0, 1, 1, 0, 0, 0 },
        { 1, 1, 1, 1, 1, 1 },
        { 1, 1, 1, 1, 1, 1 },
    },
    { /* 3 */
        { 0, 0, 1, 1, 0, 0 },
        { 0, 1, 1, 1, 1, 0 },
        { 1, 1, 0, 0, 1, 1 },
        { 0, 0, 0, 0, 1, 1 },
        { 0, 0, 0, 1, 1, 0 },
        { 0, 0, 0, 0, 1, 0 },
        { 0, 0, 0, 0, 1, 1 },
        { 1, 1, 0, 0, 1, 1 },
        { 0, 1, 1, 1, 1, 0 },
        { 0, 0, 1, 1, 0, 0 },
    },
    { /* 4 */
        { 0, 0, 0, 1, 1, 0 },
        { 0, 0, 1, 1, 1, 0 },
        { 0, 0, 1, 1, 1, 0 },
        { 0, 1, 0, 1, 1, 0 },
        { 0, 1, 0, 1, 1, 0 },
        { 1, 1, 0, 1, 1, 0 },
        { 1, 1, 1, 1, 1, 1 },
        { 1, 1, 1, 1, 1, 1 },
        { 0, 0, 0, 1, 1, 0 },
        { 0, 0, 0, 1, 1, 0 },
    },
    { /* 5 */
        { 1, 1, 1, 1, 1, 0 },
        { 1, 1, 1, 1, 1, 0 },
        { 1, 1, 0, 0, 0, 0 },
        { 1, 1, 0, 0, 0, 0 },
        { 1, 1, 1, 1, 1, 0 },
        { 1, 1, 1, 1, 1, 1 },
        { 0, 0, 0, 0, 1, 1 },
        { 1, 1, 0, 0, 1, 1 },
        { 1, 1, 1, 1, 1, 1 },
        { 0, 1, 1, 1, 1, 0 },
    },
    { /* 6 */
        { 0, 0, 1, 1, 1, 0 },
        { 0, 1, 1, 1, 1, 0 },
        { 1, 1, 0, 0, 0, 0 },
        { 1, 1, 0, 0, 0, 0 },
        { 1, 1, 1, 1, 1, 0 },
        { 1, 1, 1, 1, 1, 1 },
        { 1, 1, 0, 0, 1, 1 },
        { 1, 1, 0, 0, 1, 1 },
        { 1, 1, 1, 1, 1, 1 },
        { 0, 1, 1, 1, 1, 0 },
    },
    { /* 7 */
        { 1, 1, 1, 1, 1, 1 },
        { 1, 1, 1, 1, 1, 1 },
        { 0, 0, 0, 0, 1, 1 },
        { 0, 0, 0, 1, 1, 0 },
        { 0, 0, 1, 1, 0, 0 },
        { 0, 1, 1, 0, 0, 0 },
        { 0, 1, 1, 0, 0, 0 },
        { 0, 1, 1, 0, 0, 0 },
        { 0, 1, 1, 0, 0, 0 },
        { 0, 1, 1, 0, 0, 0 },
    },
    { /* 8 */
        { 0, 1, 1, 1, 1, 0 },
        { 0, 1, 1, 1, 1, 0 },
        { 1, 1, 0, 0, 1, 1 },
        { 1, 1, 0, 0, 1, 1 },
        { 0, 1, 1, 1, 1, 0 },
        { 0, 1, 1, 1, 1, 0 },
        { 0, 1, 0, 0, 1, 0 },
        { 1, 1, 0, 0, 1, 1 },
        { 1, 1, 1, 1, 1, 1 },
        { 0, 1, 1, 1, 1, 0 },
    },
    { /* 9 */
        { 0, 1, 1, 1, 1, 0 },
        { 1, 1, 1, 1, 1, 1 },
        { 1, 1, 0, 0, 1, 1 },
        { 1, 1, 0, 0, 1, 1 },
        { 1, 1, 1, 1, 1, 1 },
        { 0, 1, 1, 1, 1, 1 },
        { 0, 0, 0, 0, 1, 1 },
        { 1, 1, 0, 0, 1, 1 },
        { 1, 1, 1, 1, 1, 1 },
        { 0, 1, 1, 1, 1, 0 },
    },
};

#define LOGOLEN	5

#define EHLFONT_WIDTH	5
#define EHLFONT_HEIGHT	8

#define FLw	EHLFONT_WIDTH
#define FLh	EHLFONT_HEIGHT

#define FLx1(n)	(H_XMAX + 4 + ((n) * FLw) + ((n) - 1))
#define FLx2(n) (FLx1(n) + FLw + 1)
#define FLy1(n)	(FDy1(n) + FLh + 4)

int charfontmap[][EHLFONT_HEIGHT][EHLFONT_WIDTH] = {
    { /* H */
        { 2, 2, 0, 2, 2 },
        { 2, 2, 0, 2, 2 },
        { 2, 2, 0, 2, 2 },
        { 2, 2, 2, 2, 2 },
        { 2, 2, 2, 2, 2 },
        { 2, 2, 0, 2, 2 },
        { 2, 2, 0, 2, 2 },
        { 2, 2, 0, 2, 2 },
    },
    { /* a */
        { 0, 2, 2, 2, 0 },
        { 2, 2, 2, 2, 2 },
        { 2, 0, 2, 2, 2 },
        { 0, 2, 2, 2, 2 },
        { 2, 2, 0, 2, 2 },
        { 2, 2, 0, 2, 2 },
        { 2, 2, 2, 2, 2 },
        { 0, 2, 2, 2, 0 },
    },
    { /* n */
        { 2, 2, 0, 2, 2 },
        { 2, 2, 2, 2, 2 },
        { 2, 2, 2, 2, 2 },
        { 2, 2, 0, 2, 2 },
        { 2, 2, 0, 2, 2 },
        { 2, 2, 0, 2, 2 },
        { 2, 2, 0, 2, 2 },
        { 2, 2, 0, 2, 2 },
    },
    { /* o */
        { 0, 2, 2, 2, 0 },
        { 2, 2, 2, 2, 2 },
        { 2, 2, 0, 2, 2 },
        { 2, 2, 0, 2, 2 },
        { 2, 2, 0, 2, 2 },
        { 2, 2, 0, 2, 2 },
        { 2, 2, 2, 2, 2 },
        { 0, 2, 2, 2, 0 },
    },
    { /* i */
        { 0, 3, 3, 0, 0 },
        { 0, 3, 3, 0, 0 },
        { 0, 0, 0, 0, 0 },
        { 0, 2, 2, 0, 0 },
        { 0, 2, 2, 0, 0 },
        { 0, 2, 2, 0, 0 },
        { 0, 2, 2, 0, 0 },
        { 0, 2, 2, 0, 0 },
    },
};

#define SPEEDLEN	3

#define EHSFONT_WIDTH	5
#define EHSFONT_HEIGHT	4

#define FSw	EHSFONT_WIDTH
#define FSh	EHSFONT_HEIGHT

#define FSx1(n)	(H_XMAX + 5 + ((n) * FSw) + ((n) - 1))
#define FSx2(n) (FSx1(n) + FSw + 1)
#define FSy1(n)	(FLy1(n) + FLh + 4)

#define Fxmph	((FSx2(2)) + 2)
#define Fymph	(FSy1(0))
#define Fhmph	EHSFONT_HEIGHT

int speedfontmap[][EHSFONT_HEIGHT][EHSFONT_WIDTH] = {
    {
        { 1, 1, 1, 1, 1 },
        { 1, 0, 1, 0, 1 },
        { 1, 0, 1, 0, 1 },
        { 1, 0, 1, 0, 1 },
    },

    {
        { 1, 1, 1, 1, 0 },
        { 1, 0, 0, 0, 1 },
        { 1, 1, 1, 1, 0 },
        { 1, 0, 0, 0, 0 },
    },

    {
        { 1, 0, 0, 0, 0 },
        { 1, 1, 1, 1, 0 },
        { 1, 0, 0, 0, 1 },
        { 1, 0, 0, 0, 1 },
    },
};

#endif /* _EHFONT_H */
